/*
 *  Main part of BlockGoogleRedir extension.
 */

var exts = [ "com", "nl", "co.uk", "de", "fr", "co.jp", "ca", "se",
             "be", "es", "it", "no", "fi", "dk", "ch", "ie",
             "com.br", "ar", "gr", "hu", "pl", "pt", "at", "au",
             "co.nz" ];

// Attach content script to google result pages.
var self = require("sdk/self");
var pageMod = require("sdk/page-mod");

var domains = [ ];
for (var i in exts)
  domains.push("*.www.google." + exts[i]);

pageMod.PageMod({
  include: domains,
  contentScriptFile: self.data.url("contentscript.js") });

